For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a zone

Returns a DNS zone by given ID.

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
200

Successful operation.

application/json
idstring · uuidRequired

The zone ID (UUID).

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
get/zones/{zoneId}
GET /zones/{zoneId} HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "e74d0d15-f567-4b7b-9069-26ee1f93bae3",
  "type": "zone",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "createdDate": "2022-08-21T15:52:53Z",
    "createdBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2022-08-21T15:52:53Z",
    "lastModifiedBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "PROVISIONING",
    "nameservers": [
      "ns-ic.ui-dns.com",
      "ns-ic.ui-dns.de",
      "ns-ic.ui-dns.org",
      "ns-ic.ui-dns.biz"
    ]
  },
  "properties": {
    "zoneName": "example.com",
    "description": "The hosted zone is used for example.com",
    "enabled": true
  }
}

Last updated

Was this helpful?